//Car.h

#ifndef CAR_H
#define CAR_H

#include <iostream>

class Car
{
public:
	Car(const u_int t)  : arrival_time(t) {}                 //constructor with arrival time
	Car(const Car &rhs) : arrival_time(rhs.arrival_time) {}  //copy constructor
	~Car() {}      //desturctor
	
	u_int getArrivalTime() const { return arrival_time; }	//return the arrival time for the car

#if #debug(yes)
	void show() const;
#endif
protected:
	u_int arrival_time;     //the arrival time
};
	
#endif
